Bug 2602 - Battery drain low or empty overnight
: Battery drain low or empty overnight
Status: RESOLVED WORKSFORME
Product: Desktop platform
general
: 4.0
: All Maemo
: Medium normal with 15 votes (vote)
: ---
Assigned To: unassigned
: HAF QA mailing list
:
: use-time
: int-77760 int-86424 2787 3022 int-90375 3992 4013
:
  Show dependency tree
 
Reported: 2007-12-20 17:24 UTC by Matti Savolainen
Modified: 2009-01-26 10:53 UTC (History)
14 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Matti Savolainen (reporter) 2007-12-20 17:24:34 UTC
STEPS TO REPRODUCE THE PROBLEM:
I have not been able to find a pattern to reproduce this. It just happens every
once in a while. It doesn't seem to make difference if N800 was just in sleep
or in keylock mode. I have not seen a pattern if leaving connections (WiFi,
Bluetooth) on. In my case I always (try to remember) shut down all the
connections (WiFi or Bluetooth) in the evening.

EXPECTED OUTCOME:

ACTUAL OUTCOME:
In the morning either you hear the low battery alarm chiming, or the N800 was
turned off due to empty battery.


REPRODUCIBILITY:
sometimes: No method to reproduce this reliably. 

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
I did see this already in OS2007. It may be more frequent now with OS2008?
Comment 1 Matti Savolainen (reporter) 2007-12-20 17:29:00 UTC
*** Bug 2601 has been marked as a duplicate of this bug. ***
Comment 2 Richard Booth 2007-12-21 21:39:30 UTC
I'm suffering from this too with my N800. I had it with 2007 and now with 2008.
It maybe poor battery in in the N800. I've only had it since March so does seem
early for the battery to go bad. I'll get another battery and see if the
problems goes away or persists.
Comment 3 Kimmo Hämäläinen nokia 2007-12-27 11:04:47 UTC
I have seen this too, I think it's some problem with sleeping. We still don't
have the steps to reproduce this...
Comment 4 Neil MacLeod maemo.org 2007-12-28 16:48:12 UTC
Another me too here - often my N800/OS2008 will start complaining about low
battery after 24 hours idle from a full charge, that is I take it off charger
(full charge) then leave it alone and within 24 hours it's complaining about
low battery, with nothing running except an active WiFi connection to a Linksys
WRT54GS with PSM support.

I have openssh-server, wget, e2fsprogs and Canola2 installed. When I get the
low battery warning, only openssh is running - no other applications are loaded
or active.

There is something significantly wrong with the power management in OS 2008 - I
had no such problems with OS 2007.

Could the device be incorrectly calculating the remaining power? The remaining
power level indicator in the Status bar is pretty random at the best of times,
perhaps for some reason it thinks I have no juice in my battery even though it
has plenty capacity remaining?
Comment 5 Neil MacLeod maemo.org 2007-12-28 16:51:37 UTC
I should add that I noticed the much reduced battery lifetime prior to
installing wget/e2fsprogs/Canola2. I have only succeeded in installing these
applications in the last few days due to the repository chaos - I originally
noticed reduced battery lifetime while running only openssh-server which I
managed to install on the day OS 2008 (2.2007.50-2) was released.
Comment 6 Ray Peterson 2007-12-28 23:51:51 UTC
I am also having this problem with a new N800.  N800 was delivered 12/26/2007,
I charged the N800 fully, and did the setup on 12/26.   When I tried to use it
on 12/27 the battery was dead.  Since I was used to my 770 which went to sleep
mode when the cover was on, I thought I had missed something I should have done
to put the unit to sleep.  I researched the problem but didn't find anything I
had done wrong.

Last evening - 12/26 10:00pm CST I replace the existing OS2007 with the new
OS2008.  Based on instructions included with the new release, I fully charged
the N800 before starting the update.  The update went very well, completed in
about 25 minutes.  I tried a few of the new features including the web browser
and flash player in browser before going to bed.  The battery indicator showed
10 days of standby and 3 hours of use avialable.   When I went to use the unit
today the battery was again dead.  Very disappointing.

I have not installed any new software on either the 2007 or 2008 versions of
the operating system.  I had tried to set up the native email, but was
unsucessful in doing that - it didn't like the IMAP and SMTP servers I had
used.
I am connecting to the internet with my DLINK WBR 2310 wireless router.
Comment 7 Neil MacLeod maemo.org 2007-12-30 14:19:55 UTC
I took my N800/OS2008 off the charger when I filed comment 5 and at about 9am
this morning (approximately 40 hours after I filed comment 5) the battery was
almost flat and the low battery chime could be heard. Nothing had been running
on the N800 aside from a WiFi connection, openssh-server and the RSS applet
updating every 4 hours.

I still have a problem with the pdflush process going mad (bug 2615) and
consuming large amounts of CPU - I wonder if this is related to this bug.
Comment 8 Richard Booth 2007-12-30 19:36:47 UTC
I tried a new battery on the N800 running latest it2008, reflash, no restore,
no apps installed. Charged, battery indicator said full, by 11pm. Left off the
charger overnight and left online idle, dead battery by 8am the next day. 

I think this bug needs severity and priority changing to critical/ high
priority. Plus os says Windows, rather than 'it os'. Can bug owner please
consider changing?

Incidently does this affect N810 owners?
Comment 9 Neil MacLeod maemo.org 2007-12-30 21:03:29 UTC
I've changed the OS to IT OS, but I'd delay changing severity until we get some
feedback from Nokia/Maemo once they return from vacation later next week.

I agree this is a significant problem for us, but I've seen few if any reports
elsewhere to suggest this is a widespread issue and I'm tempted to think it's a
rogue process (as always). Which process is causing this problem is very hard
to say, although in my case I suspect pdflush and jffs2_gcd_mtd4 (but again
nobody else seems to be complaining about these processes going nuts on their
device, it's just me it seems!)

> Incidently does this affect N810 owners?

Good question - seems to be N800 only so far.
Comment 10 Neil MacLeod maemo.org 2008-01-02 12:41:19 UTC
I disabled R&D mode, and achieved almost 60 hours (2.5 days) when running
absolutely *nothing* but an active WiFi connection.
Comment 11 Richard Booth 2008-01-03 00:07:00 UTC
Glad disabling R&D helped. Bizarre, as mine is not in R&D mode and dead
overnight. 

I've switched on R&D and switched back to production to see if that prompts the
device to lasting longer than 24 hours.

Rich
Comment 12 Neil MacLeod maemo.org 2008-01-03 00:18:47 UTC
Richard - it helped, but it's still way off what I should be getting (at least
another 1.5 days). :(

At some point I guess I'll have to reflash it back to stock firmware without
any additional apps and time it again... in fact I will reflash it now... :)
Comment 13 Neil MacLeod maemo.org 2008-01-03 00:31:47 UTC
I've now reflashed my N800 with 2.2007.50-2 and paired it with my mobile phone
but haven't configured a WiFi connection or installed any other software, in
fact I haven't modified the default post-flash configuration other than by
pairing my phone (and I definately haven't restored any backups!)

I'll give it two or three hours on AC to get a full charge then disconnect and
leave it alone for a few days until it starts bleeping about low battery. Thank
God for my venerable 770! :)

Will report back in the near future.
Comment 14 brendan 2008-01-03 03:33:08 UTC
By R&D mode... do you mean red pill mode?  I installed a CPU monitor and there
really is nothing running that uses CPU power, other than something called
"xomap" or something like that - using only 3%.  I'm still having short battery
life and it seems that every time i just leave it on sleep mode overnight, when
I come back, the n800 has shut itself down.
Comment 15 Neil MacLeod maemo.org 2008-01-03 14:00:09 UTC
brendan - no, I had R&D mode enabled using the flasher command
"--enable-rd-mode". When this device flag is enabled the device behaves
slightly differently to when it is disabled, not that it's ever caused a
problem prior to OS 2008 but for the purposes of this test I've disabled it.
Comment 16 SEWilco 2008-01-03 20:56:36 UTC
Is it possible that the WLAN power consumption bug is related?
https://bugs.maemo.org/show_bug.cgi?id=1170
Comment 17 Richard Booth 2008-01-03 22:37:23 UTC
For me WiFi does not really affect it. I wondered if it was, but I have since
tried four WiFi AP, Bt Homehub, Linksys WRT54g, a SKY branded Netgear and works
AP. No difference. Also, if I put the N800 in to offline mode and leave it
overnight it is still dead by the morning. 

Today, I've been connected to works AP all day, light usage and my original
battery is going strong. This is after going in to R&D and switching back to
Production. Tonight will be the real test, I'll report back if I wake up
tomorrow and it is still on...
Comment 18 Matti Savolainen (reporter) 2008-01-06 23:27:30 UTC
Just an update of my recent "mileage" of N800: Since flashing to the final
OS2008 and NOT restoring backup, my N800 has behaved good for over 2 weeks in a
row. (Knock on wood...) I used it quite extensively during holidays and left it
"sleep" overnights. Not a single incident of flat battery in the morning has
occured.

I also have "all" applications installed you can think of... so if this problem
was caused by a 3rd party software I should have seen it by now.
Comment 19 Neil MacLeod maemo.org 2008-01-06 23:54:29 UTC
Perhaps restoring backups has something to do with it - I restored a backup
(from a previous attempt at flashing OS 2008) and my N800 would last no more
than 48 hours of complete inactivity.

As a test I reflashed again, restored no backups and configured nothing beyond
language and region and the device is still showing 4 bars after 93 hours (3
days 21 hours) of complete inactivity.

On my restored device with poor battery performance I'd restored a backup and
installed openssh-server then Canola2... I'll see how long it takes for the
device to run down completely, then gradually restore a backup, enable WiFi,
add the RSS applet (updating every 4 hours) then install openssh-server
followed by Canola2 and try to determine which if any buggers the battery.

This might take some time... :(
Comment 20 Neil MacLeod maemo.org 2008-01-15 20:47:31 UTC
FINALLY I heard the low battery warning after 12 days and 2 hours of absolute
idleness. :)

It's fully charged again, now to add a WiFi connection and let it run down once
more...
Comment 21 Richard Booth 2008-01-20 11:50:24 UTC
I've just got an N810 and the same problem is happening,

1. Original firmware (I think 42-18), just one WiFi connection WPA-PSK
configured, left overnight with WiFi connected and 'battery dead by the
morning'. Nothing installed.
2. Original firmware, offline mode, left overnight and 'battery fine'.

Flashed to the latest firmware, 50-2. No backup/restore, I manually entered the
WiFi connection. Fully charged, left overnight with WiFi connection on, battery
almost dead.

So maybe for the N810 it is WiFi. WiFi AP is a Bt Homehub with WPA-PSK
encryption. I'm going to reflash my N800 and repeat what I did on the N810,
online/offline/overnight, with nothing installed. Then I'll try a different AP
with and without WPA-PSK and WEP.
Comment 22 Neil MacLeod maemo.org 2008-01-20 16:32:31 UTC
(In reply to comment #20)
> FINALLY I heard the low battery warning after 12 days and 2 hours of absolute
> idleness. :)
> 
> It's fully charged again, now to add a WiFi connection and let it run down once
> more...
> 

Adding a WiFi connection (WPA-PSK, maximum power saving, Linksys WRT54GS access
point in b/g mode) reduced the battery lifetime to 4 days 17 hours 30 minutes
which is quite a considerable difference from before, considering the WiFi
connection should have been idle at all times. However, this is acceptable and
I'm yet to reproduce my previous experience whereby the device would expire
within 24-48 hours... I can only think it was due to a badly written
application at this time.
Comment 23 Sami Hangaslammi 2008-01-31 21:56:09 UTC
I'm experiencing the same thing on my new N810 (updated to 2.2007-50-2).
Sometimes the battery lasts for several days but sometimes the whole battery is
drained during a single night when the device is supposedly idle. I haven't
found any discernible pattern for this behavior.
Comment 24 Dawid Lorenz 2008-04-04 09:09:12 UTC
(In reply to comment #23)
> I'm experiencing the same thing on my new N810 (updated to 2.2007-50-2).
> Sometimes the battery lasts for several days but sometimes the whole battery is
> drained during a single night when the device is supposedly idle. I haven't
> found any discernible pattern for this behavior.

Exactly same thing here, with N810 and latest OS2008 version 2.2007.51-3. I've
disabled metalayer-crawler for a start (I found such suggestions earlier on
forums), but I need more time to figure out if it helps.

Additionally - I'm using 3rd party app 'battery-status' to check battery charge
level from command line, and I found that sometimes after rebooting device
battery level drastically jumps up. For example when I see 55% of charge level
given by battery-status, and then do reboot - level jumps up to ie. 95%. Weird,
but also suggests there may be something wrong with battery management...
Comment 25 Florian Kisser 2008-06-24 22:35:26 UTC
I followed this issue some time now, as I am affected myself.
But now I found something:
SDHC card in - battery empty within hours
SDHC card out - a few days runtime, no problems

Tried it a couple of times now, my normal SD card works ;)
I read that somewhere on the internet, but unfortunately I lost the link since
then and can't find the source anymore :/
Comment 26 Ryan Abel maemo.org 2008-06-24 22:38:14 UTC
(In reply to comment #25)
> I followed this issue some time now, as I am affected myself.
> But now I found something:
> SDHC card in - battery empty within hours
> SDHC card out - a few days runtime, no problems
> 
> Tried it a couple of times now, my normal SD card works ;)
> I read that somewhere on the internet, but unfortunately I lost the link since
> then and can't find the source anymore :/
> 

Tama^2 (on #maemo) did some rundown tests with SDHC cards a few months back and
found that some cards don't seem to sleep properly, resulting in battery drain.

The other possibility is that your SDHC card is simply corrupted.
Comment 27 Florian Kisser 2008-06-24 23:22:34 UTC
Ah, thanks :)
I had two of them, both with the same problem, so it seems like I won't buy
from extrememory anymore ...
Comment 28 Eero Tamminen nokia 2008-06-25 14:50:17 UTC
To summarize the reasons for battery drain:
1. bad (3rd party) applications or applets
   - do polling, use WLAN frequently or write lot to disk
     (which needs JFFS2 GCing)
    - are CPU usage applets idle when screen is blanked?
2. RD mode (it's not cleared by re-flashing the device!)
3. WLAN APs with bad power management (not following the specs)
4. SD cards with bad power management?
5. Some setting(?) in restored OS2007 backup
6. metalayer-crawler when it encounters a corrupted memory card
   or bad (VMA?) media file

The issue is not in kernel or in device in general, but in specific
programs or external hardware (maybe corresponding device drivers
could be able to work around some the issues once buggy HW is identified).

I guess this can serve as a meta-bug, but specific bugs should be
added for the actual issues.  I added the crawler bugs and FM-radio
applet bug, you could add other issues as dependencies.

Switching device to offline mode from the power menu when it's not
used can help with 1) and 2).
Comment 29 leodp 2008-10-13 19:10:47 UTC
I also had this problem on my N800, with latest OS.
I have Skype and Gizmo always running, and WLAN always on, with strong power
management.

I solved it by INCREASING the N800 WLAN power from 10mW to 100mW.
With 10mW the speech quality over VOIP was not very good, maybe the connection
was not so good.
With 100mW the connection is always ok. Even if more power is used the battery
lifetime is again above a few days (cannot really say how many, because I use
the N800 for VOIP and browsing).

I guess that with bad WLAN connection the communication has to be restored
quite often, and that gives issues with 'average' power consumption.


leodp
Comment 30 Ryan Abel maemo.org 2008-10-13 19:50:11 UTC
(In reply to comment #29)
> I solved it by INCREASING the N800 WLAN power from 10mW to 100mW.
> With 10mW the speech quality over VOIP was not very good, maybe the connection was not so good.
> 

10mW isn't a powersaving thing, it's a regulatory thing. . . .
Comment 31 leodp 2008-10-14 10:08:03 UTC
(In reply to comment #30)
> (In reply to comment #29)
> > I solved it by INCREASING the N800 WLAN power from 10mW to 100mW.
> > With 10mW the speech quality over VOIP was not very good, maybe the connection was not so good.
> > 
> 
> 10mW isn't a powersaving thing, it's a regulatory thing. . . .
> 

10-100mW is the transmit power.
Powersaving has to do with how I connect to the AP (i.e. how often do I have to
communicate to notify my presence, how long can the antenna be switched
off,...), if I understand it correctly.

My N800 is  set to maximum powersaving mode.
The antenna transmit power is 100mW.

leodp
Comment 32 Ryan Abel maemo.org 2008-10-14 22:29:57 UTC
(In reply to comment #31)
> (In reply to comment #30)
> > (In reply to comment #29)
> > > I solved it by INCREASING the N800 WLAN power from 10mW to 100mW.
> > > With 10mW the speech quality over VOIP was not very good, maybe the connection was not so good.
> > > 
> > 
> > 10mW isn't a powersaving thing, it's a regulatory thing. . . .
> > 
> 
> 10-100mW is the transmit power.
> Powersaving has to do with how I connect to the AP (i.e. how often do I have to
> communicate to notify my presence, how long can the antenna be switched
> off,...), if I understand it correctly.
> 

You're missing my point. The option to reduce transmitting power isn't there to
save battery, it's there because it's a regulator requirement in certain
countries.

IT DOES NOT SAVE A MEANINGFUL AMOUNT OF POWER and shouldn't be used as a
power-saving measure.
Comment 33 Vincent Lefevre 2008-10-15 01:23:38 UTC
I also have *random* battery drain problems. Well, they seem to occur *only*
when I put my N810 in the pocket of my pants (even for a short period), but not
always. I don't know the cause (CPU load is low). You can see tests here:
  http://www.internettablettalk.com/forums/showthread.php?p=201544#post201544

Note that this battery drain problem appeared with diablo. I added a 8-GB SDHC
card at the same time.

The problem has just occurred again, and I noticed that "ifconfig" output:

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:179815 errors:0 dropped:0 overruns:0 frame:0
          TX packets:179815 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:9024439 (8.6 MiB)  TX bytes:9024439 (8.6 MiB)

wlan0     Link encap:Ethernet  HWaddr 00:1D:6E:9B:D8:F6  
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:61277 errors:0 dropped:0 overruns:0 frame:0
          TX packets:8274 errors:9 dropped:7 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:12389065 (11.8 MiB)  TX bytes:2410231 (2.2 MiB)

though wifi was off (this is the first time I look at it, so that I don't know
if there is a relation).
Comment 34 Eero Tamminen nokia 2008-10-15 18:07:51 UTC
> I don't know the cause (CPU load is low)

Power consumption difference between 100% and 1% CPU usage is probably smaller
than the difference between 1% and no CPU usage.  CPU being able to be shut
down completely saves power much better.

For example application that just wakes up once a second and doesn't do
anything else (like FM-radio applet that stupidly checks whether headset is
connected every second), reduces the idle/offline use-time from a week to one
day. In "top" you see such an app using 0-1% of CPU.

You could disable all the Home and statusbar applets that you don't need (I
think CPU meter statusbar applets for example read /proc/ pretty often and the
banner applet uses network).


> You can see tests here:
> http://www.internettablettalk.com/forums/showthread.php?p=201544#post201544

The lock + press button keeping the screen undimmed could indeed be one factor.
 Could you file a new bug about that and add it as a dependency for this one?


> Note that this battery drain problem appeared with diablo. I added a 8-GB SDHC card at the same time.

Some card models use more power than others, as a rule larger cards use more. 
That should happen only when they're being accessed though.  You could try
"lsof|grep /media/" to see whether something like metalayer-crawler is
accessing the card.

If the FAT file system on the memory card is corrupted (MicroSoft FAT file
system is so primitive that it can get easily corrupted, but it's needed for
compatibility reasons), it can cause processes to access it constantly, but
usually you should see this in "top".


> wlan0     Link encap:Ethernet  HWaddr 00:1D:6E:9B:D8:F6  
[...] 
> though wifi was off

If you want Wifi off (instead of just not connected to some specific access
point), use the "offline" mode listed in the Power (button) menu.  This will
turn off also other radios. I think Diablo has more(?) online activities than
older releases, so the effect of this is larger.

The interval how often network should be used to concerve power, is *much*
larger than for CPU which can sleep & wake up almost instantly.

I always set my own device offline when not using net as I just need to press
OK in a dialog when net is needed again and re-connecting takes only a few
secs.
Comment 35 Vincent Lefevre 2008-10-16 02:47:31 UTC
(In reply to comment #34)
> You could disable all the Home and statusbar applets that you don't need (I
> think CPU meter statusbar applets for example read /proc/ pretty often and the
> banner applet uses network).

The CPU meter status bar applet doesn't seem to be a problem since even if it
is present, the battery usually last several days before a recharge is needed
(does the CPU meter still read /proc when the tablet is locked?).

> The lock + press button keeping the screen undimmed could indeed be one
> factor.

In fact, there's a bug already open about that: bug 2787.

> Could you file a new bug about that and add it as a dependency for this one?

Someone who has the permissions should do this.

> Some card models use more power than others, as a rule larger cards use more. 
> That should happen only when they're being accessed though.  You could try
> "lsof|grep /media/" to see whether something like metalayer-crawler is
> accessing the card.

As the battery doesn't always drain, I don't think the card is a problem
(unless the tablet does something about it I don't know). I should grep
/media/mmc1 actually.

> If the FAT file system on the memory card is corrupted (MicroSoft FAT file
> system is so primitive that it can get easily corrupted, but it's needed for
> compatibility reasons), it can cause processes to access it constantly, but
> usually you should see this in "top".

If it is corrupted, I suppose I should get error messages or something in dmesg
output.

> > wlan0     Link encap:Ethernet  HWaddr 00:1D:6E:9B:D8:F6  
> [...] 
> > though wifi was off
> 
> If you want Wifi off (instead of just not connected to some specific access
> point), use the "offline" mode listed in the Power (button) menu.

This is bad design. If wifi is not used, then it should be completely turned
off by the system (note that I don't use autoconnect). Ditto for the other
radios (which I don't use).
Comment 36 Eero Tamminen nokia 2008-11-03 17:27:17 UTC
(In reply to comment #35)
> (In reply to comment #34)
>> You could disable all the Home and statusbar applets that you don't need
>> (I think CPU meter statusbar applets for example read /proc/ pretty often
>> and the banner applet uses network).
> 
> The CPU meter status bar applet doesn't seem to be a problem since even if it
> is present, the battery usually last several days before a recharge is needed
> (does the CPU meter still read /proc when the tablet is locked?).

I haven't used it, but it's easy to check, just ssh to the device and strace
hildon-desktop (the process using more memory, the smaller one is
maemo-invoker).


> > The lock + press button keeping the screen undimmed could indeed be one
> > factor.
> 
> In fact, there's a bug already open about that: bug 2787.

Thanks, added as dependency.


>> Some card models use more power than others, as a rule larger cards use more. 
>> That should happen only when they're being accessed though.  You could try
>> "lsof|grep /media/" to see whether something like metalayer-crawler is
>> accessing the card.
> 
> As the battery doesn't always drain, I don't think the card is a problem
> (unless the tablet does something about it I don't know).
>
> > If the FAT file system on the memory card is corrupted (MicroSoft FAT file
> > system is so primitive that it can get easily corrupted, but it's needed for
> > compatibility reasons), it can cause processes to access it constantly, but
> > usually you should see this in "top".
> 
> If it is corrupted, I suppose I should get error messages or something in
> dmesg output.

Yes.

The card contents may also affect how long it's used, but "lsof" and "top"
should tell it though.


> > If you want Wifi off (instead of just not connected to some specific access
> > point), use the "offline" mode listed in the Power (button) menu.
> 
> This is bad design. If wifi is not used, then it should be completely turned
> off by the system (note that I don't use autoconnect). Ditto for the other
> radios (which I don't use).

Unless the device is in offline mode, applications needing network will
activate it automatically to do their updates.  There can be quite a few things
doing that in computers nowadays: IM, E-mail, RSS etc...
Comment 37 Vincent Lefevre 2008-11-03 21:08:14 UTC
(In reply to comment #36)
> I haven't used it, but it's easy to check, just ssh to the device and strace
> hildon-desktop (the process using more memory, the smaller one is
> maemo-invoker).

Anyway I'm not sure that the problem comes from the bad wifi disconnection.

> > This is bad design. If wifi is not used, then it should be completely turned
> > off by the system (note that I don't use autoconnect). Ditto for the other
> > radios (which I don't use).
> 
> Unless the device is in offline mode, applications needing network will
> activate it automatically to do their updates.

When I don't use the tablet, they don't (well, at least the applications I
use). So, that's not the problem.

But if the UI is changed to that offline mode can be used as easily as
disconnect (in particular, when the hotspot can no longer be reached), then I
could use that as well.
Comment 38 Eero Tamminen nokia 2008-11-04 09:41:32 UTC
> But if the UI is changed to that offline mode can be used as easily as
> disconnect (in particular, when the hotspot can no longer be reached),
> then I could use that as well.

Sorry, what's hard in offline-mode use?

Disconnect is: tap to statusbar + tap to disconnect.
Offline is: press power, double-tap offline option.

(In both you may need to tap also OK if there's an active connection.)
Comment 39 Vincent Lefevre 2008-11-04 12:26:04 UTC
(In reply to comment #38)
> > But if the UI is changed to that offline mode can be used as easily as
> > disconnect (in particular, when the hotspot can no longer be reached),
> > then I could use that as well.
> 
> Sorry, what's hard in offline-mode use?
> 
> Disconnect is: tap to statusbar + tap to disconnect.
> Offline is: press power, double-tap offline option.

I didn't know that one could double-tap. So, at best, this is a bit equivalent.
But:

1. When the tablet is on the table with the keyboard slid out, it is faster to
do a disconnect: one can do this without having to take the tablet to reach the
power button (note: tapping the statusbar doesn't work here: it has no effect).

2. Sometimes I leave home (or the current place) with my N810 without
disconnecting first (since it disconnects automatically once the wifi hotspot
is not longer visible, it isn't necessary to do anything). In this case, there
should be an option to go to offline mode instead of just a disconnection.
Comment 40 prk60091 2008-12-27 16:45:15 UTC
battery drain occurs on my n810 only while connected to wifi not while offline
or while tethered to my phone
Comment 41 Eero Tamminen nokia 2008-12-29 11:47:18 UTC
(In reply to comment #40)
> battery drain occurs on my n810 only while connected to wifi not while offline
> or while tethered to my phone

In this case you probably have some (background?) application or Home/Statusbar
applet that accesses the network too often.
Comment 42 Ryan Abel maemo.org 2008-12-29 15:45:37 UTC
(In reply to comment #41)
> (In reply to comment #40)
> > battery drain occurs on my n810 only while connected to wifi not while offline
> > or while tethered to my phone
> 
> In this case you probably have some (background?) application or Home/Statusbar
> applet that accesses the network too often.
> 

Alternatively, it could be that your router doesn't play nice with WiFi PSM.[1]

[1]http://wiki.maemo.org/Wifi_Power_Saving_Mode_(PSM)
Comment 43 Nikolay Shelekhov 2009-01-11 23:25:39 UTC
(In reply to comment #41)
> (In reply to comment #40)
> > battery drain occurs on my n810 only while connected to wifi not while offline
> > or while tethered to my phone
> 
> In this case you probably have some (background?) application or Home/Statusbar
> applet that accesses the network too often.
> 

I can represent this bug 100%.

We need: 
1) N810 with fresh system.
2) Installed "home applets" with its "Network" monitor.

Once we connect to wifi - device dies after 24-48 hours.
At least I see that Home Tools don't go sleeping while everything else does. 
T_T
Comment 44 Nikolay Shelekhov 2009-01-11 23:27:49 UTC
(In reply to comment #43)
> (In reply to comment #41)
> > (In reply to comment #40)
> > > battery drain occurs on my n810 only while connected to wifi not while offline
> > > or while tethered to my phone
> > 
> > In this case you probably have some (background?) application or Home/Statusbar
> > applet that accesses the network too often.
> > 
> 
> I can represent this bug 100%.
> 
> We need: 
> 1) N810 with fresh system.
> 2) Installed "home applets" with its "Network" monitor.
> 
> Once we connect to wifi - device dies after 24-48 hours.
> At least I see that Home Tools don't go sleeping while everything else does. 
> T_T
> 

Oh, and it doesn't depends on settings in: Connectivity control panel
(Application menu -> Settings -> Control panel -> Connectivity)
Comment 45 Eero Tamminen nokia 2009-01-12 14:42:46 UTC
(In reply to comment #43)
> (In reply to comment #41)
> 1) N810 with fresh system.
> 2) Installed "home applets" with its "Network" monitor.

You mean some 3rd party Home applets?


> Once we connect to wifi - device dies after 24-48 hours.
> At least I see that Home Tools don't go sleeping while everything else does. 

And the problem doesn't happen if you disable these applets and reboot?
In that case, please report a bug against the applets.
Comment 46 Eero Tamminen nokia 2009-01-19 10:56:32 UTC
updated dependencies (wlan and weather applet location specific issue).
Comment 47 Quim Gil nokia 2009-01-25 16:54:47 UTC
(In reply to comment #46)
> updated dependencies (wlan and weather applet location specific issue).

At this stage I wonder what is the usefulness of keeping this bug open. A fresh
system with the official software installed doesn't get a "Battery drain low or
empty overnight". 

Actually the initial report was very vague but thanks to the comments in this
bug you have been able to detect reasons for that to happen, addressed in
separate bugs (many of them resolved nowadays) or based on defective third
party software.

So I think we can resolve this bug as... FIXED (since many fixes have gone
underway) and then keep working on the open issues in their own bug reports.
Comment 48 Matti Savolainen (reporter) 2009-01-25 18:42:07 UTC
As original reporter of this bug, I can agree with Quim that this bug can be
closed. Since the last months, and with several different N810's, I have not
experienced this happening even once. I believe it is/was caused by some 3rd
party app not behaving properly. It doesn't seem to be a problem of the N8x0
itself and its OS.

I change the status to WORKSFORME for now.
Comment 49 Vincent Lefevre 2009-01-25 22:33:15 UTC
(In reply to comment #47)
> So I think we can resolve this bug as... FIXED (since many fixes have gone
> underway) and then keep working on the open issues in their own bug reports.

The problem of marking it as RESOLVED is that it can no longer be found in the
BTS when searching amongst open bugs (which is done most often). IMHO it should
be regarded as a tracking bug and remain open until all the bugs it depends on
are resolved.
Comment 50 Eero Tamminen nokia 2009-01-26 10:53:17 UTC
(In reply to comment #49)
> The problem of marking it as RESOLVED is that it can no longer be found in
> the BTS when searching amongst open bugs (which is done most often). IMHO it
> should be regarded as a tracking bug and remain open until all the bugs it
> depends on are resolved.

The dependencies are somewhat corner-cases, not something that concerns most of
the users, so I don't think this "metabug" is so useful.  Especially as the
original reporter already verified this.

To find bugs affecting battery usage, you can just search for bugs with the
"use-time" keyword.